import { DefaultTheme } from 'styled-components/macro'

const mainTheme: DefaultTheme = {
  appMaxWidth: '110rem',
  borderRadius: '9px',
  colors: {
    main: 'hotPink',
    secondary: 'white',
    dropDownMenuBackground: 'grey',
    errorMessage: 'red'
  },
  footer: {
    backgroundColor: 'black',
  },
  header: {
    height: '5rem',
  },
  horizontalPadding: '2rem',
  linkInternalColor: 'white',
  linkExternalColor: 'blueish',
  maxWidth: '110rem',
  footerBackgroundColor: 'green',
  footerTextColor: 'white',
  footerJustifyContent: 'flex-end',
  horizontalMdPadding: '6.5rem',
  page: {
    headerColor: 'white',
    headerBackgroundColor: 'black',
    horizontalPadding: '0rem',
  },
}

export default mainTheme
